long v = Convert.ToInt32(Console.ReadLine());
            int cif;
            int cif1;
            int brojNovcanica = 0;                          
            while (v > 9)
            {
                cif = Convert.ToInt32(Math.Floor(Math.Log10(v) + 1));
                cif1 = Convert.ToInt32(v / Math.Pow(10, cif - 1));                     
                
                if (cif1 < 2)
                {
                    v = v - Convert.ToInt32(Math.Pow(10, cif - 1));
                }
                if (2 <= cif1 && cif1 < 5)
                {
                    v = v - 2 * Convert.ToInt32(Math.Pow(10, cif - 1));
                }
                if (5 <= cif1)
                {
                    v = v - 5 * Convert.ToInt32(Math.Pow(10, cif - 1));
                }
                
                
                brojNovcanica = brojNovcanica + 1;

            }
            if (v == 1 | v == 2 | v == 5)
                brojNovcanica = brojNovcanica + 1;
            if (v == 3 | v == 4 | v == 6 | v == 7)
                brojNovcanica = brojNovcanica + 2;
            if (v == 8 | v == 9)
                brojNovcanica = brojNovcanica + 3;

  



            Console.WriteLine(brojNovcanica);